For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • POSTRemoves a tag from all users.
      • GETReturns all tags that are currently in use.
      • POSTUpdates a tag globally for all users.
      • POSTAdds a batch of tags to the user with the specified id.
      • POSTRemoves tags from the user with the specified id.
      • GETReturns the tags of the users with the specified id.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUser Tags

Updates a tag globally for all users.

POST
https://api.awork.com/api/v1/users/updatetags
POST
/api/v1/users/updatetags
$curl -X POST https://api.awork.com/api/v1/users/updatetags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "oldTagName": "Design",
> "newTag": {
> "name": "Design"
> }
>}'
1{}
<Check title="Required Permissions" icon="key">The user must be an admin or have `user-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Adds a batch of tags to the user with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have user-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
oldTagNamestringRequired>=1 character
The old name of the tag.
newTagobjectRequired
shouldMergeboolean or nullOptional
If true, merge the tags if they already exist. If false, throw an error if the tag already exists.

Response

OK

Errors

400
Bad Request Error
404
Not Found Error